Bug 964424 - ga is FTBFS on ARM
ga is FTBFS on ARM
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: ga (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Brown
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F-ExcludeArch-ARM
  Show dependency treegraph
 
Reported: 2013-05-18 09:12 EDT by Peter Robinson
Modified: 2017-08-15 03:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: ga-5.1.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 23:26:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-05-18 09:12:53 EDT
Build failures:

http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=16008

Failure excerpt:

/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -DHAVE_CONFIG_H -I.     -Igaf2c -I./gaf2c              -I./src/devices/sockets   -I./src/include    -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -c -o src/common/armci.lo src/common/armci.c
libtool: compile:  mpicc -DHAVE_CONFIG_H -I. -Igaf2c -I./gaf2c -I./src/devices/sockets -I./src/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -c src/common/armci.c  -fPIC -DPIC -o src/common/.libs/armci.o
In file included from src/common/armci.c:94:0:
./src/include/locks.h:16:5: error: #error cannot run
 #   error cannot run
     ^
src/common/armci.c: In function '_armci_init_handle':
src/common/armci.c:840:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
     ((double *)((hdl)->data))[0]=0;
     ^
src/common/armci.c:841:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
     ((double *)((hdl)->data))[1]=0;
     ^
make[3]: *** [src/common/armci.lo] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/ga-5.1.1/ga-5.1.1-mpich2/armci'
make[2]: *** [all] Error 2
Comment 1 David Brown 2013-05-21 15:09:09 EDT
I'm working with upstream and they don't support ARM yet. I'm working on putting exclusive arch options into the spec to get things building right.

http://koji.fedoraproject.org/koji/buildinfo?buildID=420737
Comment 2 Fedora Update System 2013-05-21 15:53:48 EDT
ga-5.1.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ga-5.1.1-3.fc19
Comment 3 Fedora Update System 2013-05-22 18:41:39 EDT
Package ga-5.1.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ga-5.1.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8901/ga-5.1.1-3.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-31 23:26:23 EDT
ga-5.1.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 marcindulak 2014-01-25 12:11:45 EST
According to http://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Support
this bug should have Blocks: F-ExcludeArch-arm
Comment 6 Orion Poplawski 2017-03-15 18:33:40 EDT
Still an issue
Comment 7 Jan Kurik 2017-08-15 03:15:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.